import greenfoot.*;
import java.awt.Font;
import java.awt.Color;
/**
 * The counter displays the remaining amount of each type of creature.
 * 
 * @author David Osborne
 * @version 24/10/08
 */
public class Counter extends Actor
{
    private int amount;
    private String label;
    
    public Counter(String toTrack){
        
        label = toTrack;

        int stringLength = (label.length() + 2) * 16;

        setImage(new GreenfootImage(stringLength, 24));
        GreenfootImage image = getImage();
        Font font = new Font("Lucida Sans Typewriter", 0, 16);
        image.setFont(font);
        image.setColor(new Color(0, 109, 0));
        
        updateImage();
        
    }
    
    public void act(){
        updateImage();
    }
    
    /**
     * Updates the amount...
     */
    public void updateAmount(){
        amount = Button.getAttribute(label);
    }
    
    /**
     * Redraws the image.
     */
    public void updateImage(){
        updateAmount();
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(label + ": " + amount, 1, 18);     
    }
}
