/**
 * This is a utility class that helps when dealing with angles and vectors.
 * 
 * @author David Osborne 
 * @version 20/10/08
 */
public class DirectionUtil
{
    /**
     * This method returns the angle, but between 0 and 359.
     */
    public static int normalise(int angle)
    {
        while(angle >= 360){
            angle -= 360;
        }
        while (angle < 0){
            angle += 360;
        }
        
        return angle;
    }
    
    public static Vector toVector(double x, double y){
        int direction = (int) Math.toDegrees(Math.atan2(y, x));
        double length = Math.hypot(x, y);
        return new Vector(direction, length);
    }
}
