import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Laser here.
 * 
 * @author David Osborne 
 * @version 10/11/08
 */
public class Laser extends SmoothMover
{

    boolean isDead = false;
    boolean coolDown = true;
    Alien shooter;
    
    public Laser(Vector v, Alien shooter){
        super(v);
        setRotation(v.getDirection() - 90);
        this.shooter = shooter;
    }
    
    public void act() 
    {
        World world = getWorld();
        move();
        if (getX() >= world.getWidth()-1 || getX() <= 0 
        || getY() >= world.getHeight()-1 || getY() <= 0){
            world.removeObject(this);
        }
        else if (isDead){
            world.removeObject(this);
        }
        else if (hasHitObject()){
            if(!coolDown == false){
                isDead = true;
            }
        }
        coolDown = false;
    }
    
    public boolean hasHitObject(){
        Actor target = getOneIntersectingObject(Matter.class);
        if (target != null && target != shooter){
            return true;
        }
        else{
            return false;
        }
    }
    
    public Alien getShooter(){
        return shooter;
    }
}
