import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class Ship here.
 * 
 * @author David Osborne 
 * @version 18/10/08
 */
public class Ship extends Matter
{
    int facing = 270;
    double thrustSpeed;
    boolean isDead = false;
    
    public Ship(){
        mass = 1;
    }
    
    /**
     * Moves the ship forward according to its thrustSpeed
     */
    public void thrust(){
        increaseSpeed(new Vector(facing, thrustSpeed));
    }
    
    /**
     * Rotates the ship a certain amount, in degrees.
     */
    public void turn(int amount){
        int newFacing = facing + amount;
        facing = DirectionUtil.normalise(newFacing); 
        setRotation(getRotation() + amount);
    }
    
    
    
    /**
     * Creates an explosion and removes the ship
     */
    public void explode(){
        getWorld().addObject(new Explosion(), getX(), getY());
        getWorld().removeObject(this);
        Greenfoot.playSound("boom.wav");
    }
    
}
