import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The SurvivalTug is like the regular one, but has its gravity jammed on.
 * 
 * @author David Osborne
 * @version 4/11/08
 */
public class SurvivalTug extends Tug
{
    
    public void act() 
    {     
        control();
        moveNicely();
        grav();
        
        if (isDead){
            ((GravityWorld) getWorld()).endGame(false);
            explode();
        }
        else if (hasCollided(Matter.class)){
            isDead = true;
        }
        else if (hasCollided(Laser.class)){
            isDead = true;
        }
    }
    
    /**
     * This method handles the user input.
     */
    protected void control(){
        if (Greenfoot.isKeyDown("up")){
            thrust();
        }
        if (Greenfoot.isKeyDown("left")){
            turn(-6);
        }
        if (Greenfoot.isKeyDown("right")){
            turn(6);
        }
    }
}
