import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Tug here.
 * 
 * @author David Osborne 
 * @version 12/11/08
 */
public class Tug extends Ship
{
    boolean gravOn = false;
    boolean antiGravOn = false;
    
    public Tug(){
        super();
        thrustSpeed = 0.4;
    }
    
    /**
     * Activates the tug's gravity or antigravity generator.
     */
    public void grav(){
        if(!gravOn){
            mass = 2000;
            setImage("Tug16+.png");
            gravOn = true;
            Greenfoot.playSound("up.wav");
        }
    }    
    public void antiGrav(){
        if(!antiGravOn){
            mass = -1000;
            setImage("Tug16-.png");
            antiGravOn = true;
            Greenfoot.playSound("down.wav");
        }
    }
    
    /**
     * Blows up the ship when appropriate, checks the controls and moves.
     */
    public void act(){
        
        control();
        moveNicely();
        
        if (isDead){
            ((GravityWorld) getWorld()).endGame(false);
            explode();
        }
        else if (hasCollided(Matter.class)){
            isDead = true;
        }
        else if (hasCollided(Laser.class)){
            isDead = true;
        }
    }
    
    /**
     * This method handles the user input.
     */
    protected void control(){
        if (Greenfoot.isKeyDown("up")){
            thrust();
        }
        if (Greenfoot.isKeyDown("left")){
            turn(-6);
        }
        if (Greenfoot.isKeyDown("right")){
            turn(6);
        }
        if (Greenfoot.isKeyDown("z")){
            grav();
        }
        else if (Greenfoot.isKeyDown("x")){
            antiGrav();
        }
        else{
            mass = 1;
            setImage("Tug16=.png");
            antiGravOn = false;
            gravOn = false;
        }
    }
    
    /**
     * Returns the state of gravity or antigravity generators. Used for alien ai.
     */
    public boolean isGravOn(){
        return gravOn;
    }
    public boolean isAntiGravOn(){
        return antiGravOn;
    }
}
